### Method

# Secret Collection set_label

#### Declaration [src]

    void
    secret_collection_set_label (
      SecretCollection* self,
      const gchar* label,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Set the label of this collection.

This function returns immediately and completes asynchronously.

Sets property | `Secret.Collection:label`

#### Parameters

`label` | `const gchar*`
| A new label.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`cancellable` | `GCancellable`
| Optional cancellation object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| Called when the operation completes.
| The argument can be `NULL`.
`user_data` | `gpointer`
| Data to pass to the callback.
| The argument can be `NULL`.
| The data is owned by the caller of the function.